codecov:
  token: e460b7c1-6019-4a50-b65d-555c4a8fbc22
  notify:
    require_ci_to_pass: no
    after_n_builds: 3

coverage:
  precision: 2
  round: down
  range: "70...100"

  status:
    project:
      default:
        flags:
          - asan
          - integration
          - integrationv2
        target: auto
        threshold: 0.5
        base: auto
      fuzz:
        flags:
          - fuzz
        target: auto
        threshold: 0.5
        base: auto
    patch:
      default:
        flags:
          - asan
          - integration
          - integrationv2
        target: auto
        threshold: 0.5
        base: auto
      fuzz:
        flags:
          - fuzz
        target: auto
        threshold: 0.5
        base: auto
    changes: no

parsers:
  gcov:
    branch_detection:
      conditional: yes
      loop: yes
      method: no
      macro: no

comment:
  layout: "header, diff, reach"
  behavior: default
  require_changes: no
  require_head: no
  require_base: no


ignore:
  - "test-deps/**/*"
  - "libcrypto-build/**/*"
  - "libcrypto-root/**/*"
  - "tests/**/*"
  - "codebuild/**/*"

